<?php
namespace Management\Controllers;

use \Teknisa\Libs\Utilities\Environment;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Management\Services\UnidadeService;

class Unidade {

    public $dataSourceName = "filial_filioper";
    protected $environment;
    protected $unidadeService;
    
    public function __construct($environment, UnidadeService $unidadeService) {
        $this->environment = $environment;
        $this->UnidadeService = $unidadeService;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $condition = $this->returnRequestFilter($request);
        $NRORG       =   $condition['NRORG'];
        $CDOPERADOR  =   $condition['CDOPERADOR'];
        
        $retornoTurnos = $this->UnidadeService->getUnidades($CDOPERADOR, $NRORG);
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('filial_filioper', $retornoTurnos));
    }
    
    private function returnRequestFilter($request) {
        $arr = array();
        foreach ($request->getFilterCriteria()->getConditions() as $condition) {
            $arr[ $condition['columnName'] ] = $condition['value'];  
        }
        return $arr;
    }
    
}